1. Webhook
Global Payment
  • Introduction
  • Signature
  • API Keys
  • Get Started
  • Webhook Service
  • Core Functionality
    • create-developer-user
    • create on-ramp request
    • create off-ramp request
    • create on-ramp whit wusd
    • create-developer-user-with-simple-kyb
    • off-ramp by deposit address
  • AppendixDocs
    • Business Industry
    • Supported document
    • Appendix
  • Api Reference
    • Authentication
      • Get Access Token
      • Refresh Access Token
    • User
      • Create User
      • submit Kyb V2
      • User Info
      • Simple Kyb Submit
    • Trade
      • Create Fee Config
      • Update Fee Config
      • Get Fee Config
      • Create Trade Request
      • Confirm Transaction
      • Get Trade Request
      • Get Transaction
      • Get Exchange Rate
      • Get Deposit Address
      • Get Receive Transactions
      • Get Receive Transaction
      • Get Trade List
    • Remit
      • Create Remit
      • Update Remit
      • remit info page
      • Get Remit Info
    • File
      • Upload File
    • Webhook
      • Event Page
        POST
      • Simulate a Event Call
        POST
  • Schemas
    • Schemas
      • RefundOrderDTO
      • RefundPageReq
      • ApiPageApiPageRefundOrderDTO
      • ApiResponseApiPageRefundOrderDTO
      • CancelReq
  1. Webhook

Simulate a Event Call

Developing
POST
/base/notification/simulate
simulate a event call to callback url

Request

Body Params application/jsonRequired

Example
{
  "event": "event_9853dccb85b1",
  "paymentRequestDTO": {
    "id": 0,
    "txNo": "txNo_db8b4f203301",
    "clientId": 0,
    "requestId": "requestId_456094a3d7c9",
    "fromCurrency": "USDT",
    "toCurrency": "USD",
    "amount": 0.00,
    "reallyAmount": 0.00,
    "requestType": "OnRamp",
    "status": "Pending",
    "createdAt": "2026-03-30 19:18:08",
    "bankAccountNumber": "xxxxxxxx",
    "userAddress": "0x1246e708e97755579e040d5f2b003fef1398cde6",
    "network": "ethereum"
  },
  "remark": "remark_56746f9927c3",
  "developClientId": "developClientId_7d02b0706f2d"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://openapi.dev.stablelink.app/base/notification/simulate' \
--header 'Content-Type: application/json' \
--data '{
  "event": "event_9853dccb85b1",
  "paymentRequestDTO": {
    "id": 0,
    "txNo": "txNo_db8b4f203301",
    "clientId": 0,
    "requestId": "requestId_456094a3d7c9",
    "fromCurrency": "USDT",
    "toCurrency": "USD",
    "amount": 0.00,
    "reallyAmount": 0.00,
    "requestType": "OnRamp",
    "status": "Pending",
    "createdAt": "2026-03-30 19:18:08",
    "bankAccountNumber": "xxxxxxxx",
    "userAddress": "0x1246e708e97755579e040d5f2b003fef1398cde6",
    "network": "ethereum"
  },
  "remark": "remark_56746f9927c3",
  "developClientId": "developClientId_7d02b0706f2d"
}'

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "success": true,
    "retcode": 200
}
Modified at 2026-06-02 01:59:05
Previous
Event Page
Next
RefundOrderDTO
Built with